# VecRestoreArrays

Restores a group of vectors after VecGetArrays() has been called.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PETSCVEC_DLLEXPORT VecRestoreArrays(const Vec x[],PetscInt n,PetscScalar **a[])

Not Collective

### Input Parameters

| x | - the vector
| n | - the number of vectors
| a | - location of pointer to arrays obtained from VecGetArrays()

### Notes

For regular PETSc vectors this routine does not involve any copies. For any special vectors that do not store local vector data in a contiguous array, this routine will copy the data back into the underlying vector data structure from the arrays obtained with VecGetArrays().

### Fortran Note

This routine is not supported in Fortran.

### See Also

VecGetArrays(), VecRestoreArray()

Level:intermediate
Location: src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages